xfs
[Top] [All Lists]

[PATCH] xfstests: change btrfs/029's golden output and it's filtering

To: <linux-btrfs@xxxxxxxxxxxxxxx>, <xfs@xxxxxxxxxxx>
Subject: [PATCH] xfstests: change btrfs/029's golden output and it's filtering
From: Josef Bacik <jbacik@xxxxxx>
Date: Tue, 28 Jan 2014 13:40:33 -0500
Delivered-to: xfs@xxxxxxxxxxx
Dkim-signature: v=1; a=rsa-sha256; c=relaxed/simple; d=fb.com; h=from : to : subject : date : message-id : mime-version : content-type; s=facebook; bh=cTykMkAnGYA2xpWuATldeh4Zm4KpAIsWosPanVWTTbo=; b=MQ82qKwi2SEc4WftFjjTqJC/tMnB2I0NTByWu0DHNhIdMvH/KUR7GLky9zXNQO2Ss7Gu aIN8ymvAIvFzsW/FS+kJAblFE/sM3RD5KqJeJGI1LuqluqU4d9xLR2eSo6PedWDV5GP9 jn4rPU2/Uu3V95LUTY9cNIt3ZFuUSQdhqw4=
I noticed while testing a different mkfs option that btrfs/029 was failing
because it was getting the extra output from our mkfs.btrfs.  After I fixed that
I was still failing because my version of cp will spit out the source and
destination files, not just the destination file.  So redirect _scratch_mkfs to
/dev/null like everybody does and make the golden output just expect to see "cp
failed" instead of the cp specific output.  Thanks,

Signed-off-by: Josef Bacik <jbacik@xxxxxx>
---
 tests/btrfs/029     | 6 +++---
 tests/btrfs/029.out | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/tests/btrfs/029 b/tests/btrfs/029
index b93b6df..80c05e3 100644
--- a/tests/btrfs/029
+++ b/tests/btrfs/029
@@ -66,7 +66,7 @@ mkdir $SOURCE_DIR
 
 rm -f $seqres.full
 
-_scratch_mkfs
+_scratch_mkfs > /dev/null 2>&1
 $XFS_IO_PROG -f -c 'pwrite -S 0x61 0 9000' $SOURCE_DIR/original \
  >> $seqres.full
 
@@ -87,8 +87,8 @@ _create_reflinks_to()
     # always reflink, should fail outright
     rm -rf $1; mkdir $1
     echo "reflink=always:"
-    cp --reflink=always $SOURCE_DIR/original $1/copyfail \
-        2>&1 | _filter_testdirs
+    cp --reflink=always $SOURCE_DIR/original $1/copyfail > $seqres.full 2>&1 \
+       || echo "cp reflink failed"
 
     # The failed target actually gets created by cp:
     ls $1/copyfail | _filter_testdirs
diff --git a/tests/btrfs/029.out b/tests/btrfs/029.out
index 655c081..9390d95 100644
--- a/tests/btrfs/029.out
+++ b/tests/btrfs/029.out
@@ -4,12 +4,12 @@ reflink=auto:
 42d69d1a6d333a7ebdf64792a555e392  TEST_DIR/test-029/original
 42d69d1a6d333a7ebdf64792a555e392  SCRATCH_MNT/test-029/copy
 reflink=always:
-cp: failed to clone 'SCRATCH_MNT/test-029/copyfail': Invalid cross-device link
+cp reflink failed
 SCRATCH_MNT/test-029/copyfail
 test reflinks across different mountpoints of same device
 reflink=auto:
 42d69d1a6d333a7ebdf64792a555e392  TEST_DIR/test-029/original
 42d69d1a6d333a7ebdf64792a555e392  SCRATCH_MNT/test-bis-029/copy
 reflink=always:
-cp: failed to clone 'SCRATCH_MNT/test-bis-029/copyfail': Invalid cross-device 
link
+cp reflink failed
 SCRATCH_MNT/test-bis-029/copyfail
-- 
1.8.3.1

<Prev in Thread] Current Thread [Next in Thread>
  • [PATCH] xfstests: change btrfs/029's golden output and it's filtering, Josef Bacik <=